<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "ficha_usuarioinfo.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$ficha_usuario_delete = NULL; // Initialize page object first

class cficha_usuario_delete extends cficha_usuario {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = "{43FC4B6C-8131-46B1-916C-14DB52B1691D}";

	// Table name
	var $TableName = 'ficha_usuario';

	// Page object name
	var $PageObjName = 'ficha_usuario_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (ficha_usuario)
		if (!isset($GLOBALS["ficha_usuario"]) || get_class($GLOBALS["ficha_usuario"]) == "cficha_usuario") {
			$GLOBALS["ficha_usuario"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["ficha_usuario"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'ficha_usuario', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);

		// User table object (ficha_usuario)
		if (!isset($UserTable)) {
			$UserTable = new cficha_usuario();
			$UserTableConn = Conn($UserTable->DBID);
		}
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanDelete()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("ficha_usuariolist.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}
		if ($Security->IsLoggedIn()) {
			$Security->UserID_Loading();
			$Security->LoadUserID();
			$Security->UserID_Loaded();
			if (strval($Security->CurrentUserID()) == "") {
				$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
				$this->Page_Terminate(ew_GetUrl("ficha_usuariolist.php"));
			}
		}
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->Id_Usuario->Visible = !$this->IsAdd() && !$this->IsCopy() && !$this->IsGridAdd();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $ficha_usuario;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($ficha_usuario);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("ficha_usuariolist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in ficha_usuario class, ficha_usuarioinfo.php

		$this->CurrentFilter = $sFilter;

		// Check if valid user id
		$conn = &$this->Connection();
		$sql = $this->GetSQL($this->CurrentFilter, "");
		if ($this->Recordset = ew_LoadRecordset($sql, $conn)) {
			$res = TRUE;
			while (!$this->Recordset->EOF) {
				$this->LoadRowValues($this->Recordset);
				if (!$this->ShowOptionLink('delete')) {
					$sUserIdMsg = $Language->Phrase("NoDeletePermission");
					$this->setFailureMessage($sUserIdMsg);
					$res = FALSE;
					break;
				}
				$this->Recordset->MoveNext();
			}
			$this->Recordset->Close();
			if (!$res) $this->Page_Terminate("ficha_usuariolist.php"); // Return to list
		}

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} else {
			$this->CurrentAction = "D"; // Delete record directly
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("ficha_usuariolist.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->SelectSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderBy())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->Id_Usuario->setDbValue($rs->fields('Id_Usuario'));
		$this->Nombres->setDbValue($rs->fields('Nombres'));
		$this->Apellidos->setDbValue($rs->fields('Apellidos'));
		$this->Cedula_Identificacion->setDbValue($rs->fields('Cedula_Identificacion'));
		$this->Entidad_EPS->setDbValue($rs->fields('Entidad_EPS'));
		$this->ENTIDAD_IPS->setDbValue($rs->fields('ENTIDAD_IPS'));
		$this->Correo->setDbValue($rs->fields('Correo'));
		$this->Ingreso->setDbValue($rs->fields('Ingreso'));
		$this->Clave->setDbValue($rs->fields('Clave'));
		$this->Nivel->setDbValue($rs->fields('Nivel'));
		$this->Activo->setDbValue($rs->fields('Activo'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->Id_Usuario->DbValue = $row['Id_Usuario'];
		$this->Nombres->DbValue = $row['Nombres'];
		$this->Apellidos->DbValue = $row['Apellidos'];
		$this->Cedula_Identificacion->DbValue = $row['Cedula_Identificacion'];
		$this->Entidad_EPS->DbValue = $row['Entidad_EPS'];
		$this->ENTIDAD_IPS->DbValue = $row['ENTIDAD_IPS'];
		$this->Correo->DbValue = $row['Correo'];
		$this->Ingreso->DbValue = $row['Ingreso'];
		$this->Clave->DbValue = $row['Clave'];
		$this->Nivel->DbValue = $row['Nivel'];
		$this->Activo->DbValue = $row['Activo'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// Id_Usuario
		// Nombres
		// Apellidos
		// Cedula_Identificacion
		// Entidad_EPS
		// ENTIDAD_IPS
		// Correo
		// Ingreso
		// Clave
		// Nivel
		// Activo

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// Id_Usuario
		$this->Id_Usuario->ViewValue = $this->Id_Usuario->CurrentValue;
		$this->Id_Usuario->ViewCustomAttributes = "";

		// Nombres
		$this->Nombres->ViewValue = $this->Nombres->CurrentValue;
		$this->Nombres->ViewCustomAttributes = "";

		// Apellidos
		$this->Apellidos->ViewValue = $this->Apellidos->CurrentValue;
		$this->Apellidos->ViewCustomAttributes = "";

		// Cedula_Identificacion
		$this->Cedula_Identificacion->ViewValue = $this->Cedula_Identificacion->CurrentValue;
		$this->Cedula_Identificacion->ViewCustomAttributes = "";

		// Entidad_EPS
		$this->Entidad_EPS->ViewValue = $this->Entidad_EPS->CurrentValue;
		if (strval($this->Entidad_EPS->CurrentValue) <> "") {
			$sFilterWrk = "`Codigo`" . ew_SearchString("=", $this->Entidad_EPS->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Codigo`, `Codigo` AS `DispFld`, `Administradora_Salud` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `administradora_salud`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Entidad_EPS, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$this->Entidad_EPS->ViewValue = $this->Entidad_EPS->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Entidad_EPS->ViewValue = $this->Entidad_EPS->CurrentValue;
			}
		} else {
			$this->Entidad_EPS->ViewValue = NULL;
		}
		$this->Entidad_EPS->ViewCustomAttributes = "";

		// ENTIDAD_IPS
		$this->ENTIDAD_IPS->ViewValue = $this->ENTIDAD_IPS->CurrentValue;
		if (strval($this->ENTIDAD_IPS->CurrentValue) <> "") {
			$sFilterWrk = "`Codigo_Upgd`" . ew_SearchString("=", $this->ENTIDAD_IPS->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Codigo_Upgd`, `Codigo_Upgd` AS `DispFld`, `Upgd` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `entidad_upgd`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->ENTIDAD_IPS, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = $rswrk->fields('Disp2Fld');
				$this->ENTIDAD_IPS->ViewValue = $this->ENTIDAD_IPS->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->ENTIDAD_IPS->ViewValue = $this->ENTIDAD_IPS->CurrentValue;
			}
		} else {
			$this->ENTIDAD_IPS->ViewValue = NULL;
		}
		$this->ENTIDAD_IPS->ViewCustomAttributes = "";

		// Correo
		$this->Correo->ViewValue = $this->Correo->CurrentValue;
		$this->Correo->ViewCustomAttributes = "";

		// Ingreso
		$this->Ingreso->ViewValue = $this->Ingreso->CurrentValue;
		$this->Ingreso->ViewCustomAttributes = "";

		// Clave
		$this->Clave->ViewValue = $this->Clave->CurrentValue;
		$this->Clave->ViewCustomAttributes = "";

		// Nivel
		if ($Security->CanAdmin()) { // System admin
		if (strval($this->Nivel->CurrentValue) <> "") {
			$sFilterWrk = "`userlevelid`" . ew_SearchString("=", $this->Nivel->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `userlevelid`, `userlevelname` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `userlevels`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Nivel, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Nivel->ViewValue = $this->Nivel->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Nivel->ViewValue = $this->Nivel->CurrentValue;
			}
		} else {
			$this->Nivel->ViewValue = NULL;
		}
		} else {
			$this->Nivel->ViewValue = $Language->Phrase("PasswordMask");
		}
		$this->Nivel->ViewCustomAttributes = "";

		// Activo
		if (strval($this->Activo->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Activo->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Activo, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Activo->ViewValue = $this->Activo->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Activo->ViewValue = $this->Activo->CurrentValue;
			}
		} else {
			$this->Activo->ViewValue = NULL;
		}
		$this->Activo->ViewCustomAttributes = "";

			// Id_Usuario
			$this->Id_Usuario->LinkCustomAttributes = "";
			$this->Id_Usuario->HrefValue = "";
			$this->Id_Usuario->TooltipValue = "";

			// Nombres
			$this->Nombres->LinkCustomAttributes = "";
			$this->Nombres->HrefValue = "";
			$this->Nombres->TooltipValue = "";

			// Apellidos
			$this->Apellidos->LinkCustomAttributes = "";
			$this->Apellidos->HrefValue = "";
			$this->Apellidos->TooltipValue = "";

			// Cedula_Identificacion
			$this->Cedula_Identificacion->LinkCustomAttributes = "";
			$this->Cedula_Identificacion->HrefValue = "";
			$this->Cedula_Identificacion->TooltipValue = "";

			// Entidad_EPS
			$this->Entidad_EPS->LinkCustomAttributes = "";
			$this->Entidad_EPS->HrefValue = "";
			$this->Entidad_EPS->TooltipValue = "";

			// ENTIDAD_IPS
			$this->ENTIDAD_IPS->LinkCustomAttributes = "";
			$this->ENTIDAD_IPS->HrefValue = "";
			$this->ENTIDAD_IPS->TooltipValue = "";

			// Correo
			$this->Correo->LinkCustomAttributes = "";
			$this->Correo->HrefValue = "";
			$this->Correo->TooltipValue = "";

			// Ingreso
			$this->Ingreso->LinkCustomAttributes = "";
			$this->Ingreso->HrefValue = "";
			$this->Ingreso->TooltipValue = "";

			// Clave
			$this->Clave->LinkCustomAttributes = "";
			$this->Clave->HrefValue = "";
			$this->Clave->TooltipValue = "";

			// Nivel
			$this->Nivel->LinkCustomAttributes = "";
			$this->Nivel->HrefValue = "";
			$this->Nivel->TooltipValue = "";

			// Activo
			$this->Activo->LinkCustomAttributes = "";
			$this->Activo->HrefValue = "";
			$this->Activo->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		if (!$Security->CanDelete()) {
			$this->setFailureMessage($Language->Phrase("NoDeletePermission")); // No delete permission
			return FALSE;
		}
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;

		//} else {
		//	$this->LoadRowValues($rs); // Load row values

		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['Id_Usuario'];
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Show link optionally based on User ID
	function ShowOptionLink($id = "") {
		global $Security;
		if ($Security->IsLoggedIn() && !$Security->IsAdmin() && !$this->UserIDAllow($id))
			return $Security->IsValidUserID($this->ENTIDAD_IPS->CurrentValue);
		return TRUE;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("ficha_usuariolist.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($ficha_usuario_delete)) $ficha_usuario_delete = new cficha_usuario_delete();

// Page init
$ficha_usuario_delete->Page_Init();

// Page main
$ficha_usuario_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$ficha_usuario_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = fficha_usuariodelete = new ew_Form("fficha_usuariodelete", "delete");

// Form_CustomValidate event
fficha_usuariodelete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fficha_usuariodelete.ValidateRequired = true;
<?php } else { ?>
fficha_usuariodelete.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
fficha_usuariodelete.Lists["x_Entidad_EPS"] = {"LinkField":"x_Codigo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Codigo","x_Administradora_Salud","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fficha_usuariodelete.Lists["x_ENTIDAD_IPS"] = {"LinkField":"x_Codigo_Upgd","Ajax":true,"AutoFill":false,"DisplayFields":["x_Codigo_Upgd","x_Upgd","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fficha_usuariodelete.Lists["x_Nivel"] = {"LinkField":"x_userlevelid","Ajax":true,"AutoFill":false,"DisplayFields":["x_userlevelname","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};
fficha_usuariodelete.Lists["x_Activo"] = {"LinkField":"x_Consecutivo","Ajax":true,"AutoFill":false,"DisplayFields":["x_Si_No","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":""};

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<div class="ewToolbar">
<?php $Breadcrumb->Render(); ?>
<?php echo $Language->SelectionForm(); ?>
<div class="clearfix"></div>
</div>
<?php $ficha_usuario_delete->ShowPageHeader(); ?>
<?php
$ficha_usuario_delete->ShowMessage();
?>
<form name="fficha_usuariodelete" id="fficha_usuariodelete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($ficha_usuario_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $ficha_usuario_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="ficha_usuario">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($ficha_usuario_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { echo "table-responsive "; } ?>ewGridMiddlePanel">
<table class="table ewTable">
<?php echo $ficha_usuario->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
<?php if ($ficha_usuario->Id_Usuario->Visible) { // Id_Usuario ?>
		<th><span id="elh_ficha_usuario_Id_Usuario" class="ficha_usuario_Id_Usuario"><?php echo $ficha_usuario->Id_Usuario->FldCaption() ?></span></th>
<?php } ?>
<?php if ($ficha_usuario->Nombres->Visible) { // Nombres ?>
		<th><span id="elh_ficha_usuario_Nombres" class="ficha_usuario_Nombres"><?php echo $ficha_usuario->Nombres->FldCaption() ?></span></th>
<?php } ?>
<?php if ($ficha_usuario->Apellidos->Visible) { // Apellidos ?>
		<th><span id="elh_ficha_usuario_Apellidos" class="ficha_usuario_Apellidos"><?php echo $ficha_usuario->Apellidos->FldCaption() ?></span></th>
<?php } ?>
<?php if ($ficha_usuario->Cedula_Identificacion->Visible) { // Cedula_Identificacion ?>
		<th><span id="elh_ficha_usuario_Cedula_Identificacion" class="ficha_usuario_Cedula_Identificacion"><?php echo $ficha_usuario->Cedula_Identificacion->FldCaption() ?></span></th>
<?php } ?>
<?php if ($ficha_usuario->Entidad_EPS->Visible) { // Entidad_EPS ?>
		<th><span id="elh_ficha_usuario_Entidad_EPS" class="ficha_usuario_Entidad_EPS"><?php echo $ficha_usuario->Entidad_EPS->FldCaption() ?></span></th>
<?php } ?>
<?php if ($ficha_usuario->ENTIDAD_IPS->Visible) { // ENTIDAD_IPS ?>
		<th><span id="elh_ficha_usuario_ENTIDAD_IPS" class="ficha_usuario_ENTIDAD_IPS"><?php echo $ficha_usuario->ENTIDAD_IPS->FldCaption() ?></span></th>
<?php } ?>
<?php if ($ficha_usuario->Correo->Visible) { // Correo ?>
		<th><span id="elh_ficha_usuario_Correo" class="ficha_usuario_Correo"><?php echo $ficha_usuario->Correo->FldCaption() ?></span></th>
<?php } ?>
<?php if ($ficha_usuario->Ingreso->Visible) { // Ingreso ?>
		<th><span id="elh_ficha_usuario_Ingreso" class="ficha_usuario_Ingreso"><?php echo $ficha_usuario->Ingreso->FldCaption() ?></span></th>
<?php } ?>
<?php if ($ficha_usuario->Clave->Visible) { // Clave ?>
		<th><span id="elh_ficha_usuario_Clave" class="ficha_usuario_Clave"><?php echo $ficha_usuario->Clave->FldCaption() ?></span></th>
<?php } ?>
<?php if ($ficha_usuario->Nivel->Visible) { // Nivel ?>
		<th><span id="elh_ficha_usuario_Nivel" class="ficha_usuario_Nivel"><?php echo $ficha_usuario->Nivel->FldCaption() ?></span></th>
<?php } ?>
<?php if ($ficha_usuario->Activo->Visible) { // Activo ?>
		<th><span id="elh_ficha_usuario_Activo" class="ficha_usuario_Activo"><?php echo $ficha_usuario->Activo->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$ficha_usuario_delete->RecCnt = 0;
$i = 0;
while (!$ficha_usuario_delete->Recordset->EOF) {
	$ficha_usuario_delete->RecCnt++;
	$ficha_usuario_delete->RowCnt++;

	// Set row properties
	$ficha_usuario->ResetAttrs();
	$ficha_usuario->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$ficha_usuario_delete->LoadRowValues($ficha_usuario_delete->Recordset);

	// Render row
	$ficha_usuario_delete->RenderRow();
?>
	<tr<?php echo $ficha_usuario->RowAttributes() ?>>
<?php if ($ficha_usuario->Id_Usuario->Visible) { // Id_Usuario ?>
		<td<?php echo $ficha_usuario->Id_Usuario->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_Id_Usuario" class="ficha_usuario_Id_Usuario">
<span<?php echo $ficha_usuario->Id_Usuario->ViewAttributes() ?>>
<?php echo $ficha_usuario->Id_Usuario->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($ficha_usuario->Nombres->Visible) { // Nombres ?>
		<td<?php echo $ficha_usuario->Nombres->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_Nombres" class="ficha_usuario_Nombres">
<span<?php echo $ficha_usuario->Nombres->ViewAttributes() ?>>
<?php echo $ficha_usuario->Nombres->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($ficha_usuario->Apellidos->Visible) { // Apellidos ?>
		<td<?php echo $ficha_usuario->Apellidos->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_Apellidos" class="ficha_usuario_Apellidos">
<span<?php echo $ficha_usuario->Apellidos->ViewAttributes() ?>>
<?php echo $ficha_usuario->Apellidos->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($ficha_usuario->Cedula_Identificacion->Visible) { // Cedula_Identificacion ?>
		<td<?php echo $ficha_usuario->Cedula_Identificacion->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_Cedula_Identificacion" class="ficha_usuario_Cedula_Identificacion">
<span<?php echo $ficha_usuario->Cedula_Identificacion->ViewAttributes() ?>>
<?php echo $ficha_usuario->Cedula_Identificacion->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($ficha_usuario->Entidad_EPS->Visible) { // Entidad_EPS ?>
		<td<?php echo $ficha_usuario->Entidad_EPS->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_Entidad_EPS" class="ficha_usuario_Entidad_EPS">
<span<?php echo $ficha_usuario->Entidad_EPS->ViewAttributes() ?>>
<?php echo $ficha_usuario->Entidad_EPS->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($ficha_usuario->ENTIDAD_IPS->Visible) { // ENTIDAD_IPS ?>
		<td<?php echo $ficha_usuario->ENTIDAD_IPS->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_ENTIDAD_IPS" class="ficha_usuario_ENTIDAD_IPS">
<span<?php echo $ficha_usuario->ENTIDAD_IPS->ViewAttributes() ?>>
<?php echo $ficha_usuario->ENTIDAD_IPS->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($ficha_usuario->Correo->Visible) { // Correo ?>
		<td<?php echo $ficha_usuario->Correo->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_Correo" class="ficha_usuario_Correo">
<span<?php echo $ficha_usuario->Correo->ViewAttributes() ?>>
<?php echo $ficha_usuario->Correo->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($ficha_usuario->Ingreso->Visible) { // Ingreso ?>
		<td<?php echo $ficha_usuario->Ingreso->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_Ingreso" class="ficha_usuario_Ingreso">
<span<?php echo $ficha_usuario->Ingreso->ViewAttributes() ?>>
<?php echo $ficha_usuario->Ingreso->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($ficha_usuario->Clave->Visible) { // Clave ?>
		<td<?php echo $ficha_usuario->Clave->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_Clave" class="ficha_usuario_Clave">
<span<?php echo $ficha_usuario->Clave->ViewAttributes() ?>>
<?php echo $ficha_usuario->Clave->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($ficha_usuario->Nivel->Visible) { // Nivel ?>
		<td<?php echo $ficha_usuario->Nivel->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_Nivel" class="ficha_usuario_Nivel">
<span<?php echo $ficha_usuario->Nivel->ViewAttributes() ?>>
<?php echo $ficha_usuario->Nivel->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($ficha_usuario->Activo->Visible) { // Activo ?>
		<td<?php echo $ficha_usuario->Activo->CellAttributes() ?>>
<span id="el<?php echo $ficha_usuario_delete->RowCnt ?>_ficha_usuario_Activo" class="ficha_usuario_Activo">
<span<?php echo $ficha_usuario->Activo->ViewAttributes() ?>>
<?php echo $ficha_usuario->Activo->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$ficha_usuario_delete->Recordset->MoveNext();
}
$ficha_usuario_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $ficha_usuario_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
fficha_usuariodelete.Init();
</script>
<?php
$ficha_usuario_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$ficha_usuario_delete->Page_Terminate();
?>
